create table if not exists edc_doprocedurelog(sql_str VARCHAR(4000));
DROP PROCEDURE IF EXISTS updateEdcTableField1;
DELIMITER$$
CREATE  PROCEDURE updateEdcTableField1()
BEGIN
    DECLARE done INT DEFAULT FALSE;
    DECLARE _log INT DEFAULT FALSE;
		DECLARE sqlstr VARCHAR(1000);
    DECLARE api_id VARCHAR(200);
		DECLARE front_path VARCHAR(200);
		DECLARE form_cursor CURSOR FOR select t1.id,t1.front_path from Mobilemode_API t1,edc_reportdataset t2 where t1.id = t2.templateid;
    DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = TRUE;
    DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET _log = TRUE;
    OPEN form_cursor;
    read_loop : LOOP
        FETCH form_cursor INTO api_id,front_path;
         IF done THEN
            LEAVE read_loop;
        END IF;
        update edc_reportdataset set templateid = front_path where templateid = api_id;
        IF _log THEN
            SET @sqlstr= CONCAT("insert into edc_doProcedureLog values('api_id:",api_id,"')"); 
			      PREPARE sqlli FROM @sqlstr;
            EXECUTE  sqlli;
        END IF;        
    END LOOP read_loop;
    CLOSE form_cursor;
END $$
DELIMITER;
CALL updateEdcTableField1();
DROP PROCEDURE IF EXISTS updateEdcTableField1;

DROP PROCEDURE IF EXISTS updateEdcTableField2;
DELIMITER$$
CREATE  PROCEDURE updateEdcTableField2()
BEGIN
    DECLARE done INT DEFAULT FALSE;
    DECLARE _log INT DEFAULT FALSE;
		DECLARE sqlstr VARCHAR(1000);
    DECLARE paramid VARCHAR(200);
		DECLARE front_path VARCHAR(200);
		DECLARE paramname VARCHAR(200);
		DECLARE form_cursor CURSOR FOR select t1.id,t1.name,t2.front_path from Mobilemode_API_Front_Param t1 left join Mobilemode_API t2 on t1.api_id = t2.id , edc_reportDsInfParams t3 where t1.id = t3.id;
    DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = TRUE;
    DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET _log = TRUE;
    OPEN form_cursor;
    read_loop : LOOP
        FETCH form_cursor INTO paramid,paramname,front_path;
         IF done THEN
            LEAVE read_loop;
        END IF;
        update edc_reportDsInfParams set tableid = front_path, paramname = paramname where id = paramid;
        IF _log THEN
			      SET @sqlstr= CONCAT("insert into edc_doProcedureLog values('paramid:",paramid,"')");
            PREPARE sqlli FROM @sqlstr;
            EXECUTE  sqlli;
        END IF;        
    END LOOP read_loop;
    CLOSE form_cursor;
END $$
DELIMITER;
CALL updateEdcTableField2();
DROP PROCEDURE IF EXISTS updateEdcTableField2;