delete from edc_doProcedureLog
GO
if exists(select * from sysobjects where name='updateEdcTableField1') begin drop PROCEDURE updateEdcTableField1 end
GO
create procedure updateEdcTableField1
as
begin
BEGIN TRY
	BEGIN TRAN
		declare @api_id varchar(200),@front_path varchar(200)
		declare form_cursor cursor for select t1.id,t1.front_path from Mobilemode_API t1,edc_reportdataset t2 where t1.id = t2.templateid
		open form_cursor
		fetch next from form_cursor into @api_id,@front_path
		while @@FETCH_STATUS = 0    
		  begin
				update edc_reportdataset set templateid = @front_path where templateid = @api_id	
		  fetch next from form_cursor into @api_id,@front_path
		  end    
		  close form_cursor  
		  deallocate form_cursor  
	COMMIT TRAN 
END TRY
BEGIN CATCH
		IF @@TRANCOUNT > 0
		BEGIN
				insert into edc_doProcedureLog values('api_id:'+@api_id);
				ROLLBACK TRAN
		END 
END CATCH
end
GO
exec updateEdcTableField1
GO
drop PROCEDURE updateEdcTableField1
GO

if exists(select * from sysobjects where name='updateEdcTableField2') begin drop PROCEDURE updateEdcTableField2 end
GO
create procedure updateEdcTableField2
as
begin
BEGIN TRY
	BEGIN TRAN
		declare @paramid varchar(200),@front_path varchar(200),@paramname varchar(200)
		declare form_cursor cursor for select t1.id,t1.name,t2.front_path from Mobilemode_API_Front_Param t1 left join Mobilemode_API t2 on t1.api_id = t2.id , edc_reportDsInfParams t3 where t1.id = t3.id
		open form_cursor
		fetch next from form_cursor into @paramid,@paramname,@front_path
		while @@FETCH_STATUS = 0    
		  begin
				update edc_reportDsInfParams set tableid = @front_path, paramname = @paramname where id = @paramid
		  fetch next from form_cursor into @paramid,@paramname,@front_path
		  end    
		  close form_cursor  
		  deallocate form_cursor  
	COMMIT TRAN 
END TRY
BEGIN CATCH
		IF @@TRANCOUNT > 0
		BEGIN
				insert into edc_doProcedureLog values('paramid:'+@paramid);
				ROLLBACK TRAN
		END 
END CATCH
end
GO
exec updateEdcTableField2
GO
drop PROCEDURE updateEdcTableField2
GO